; homez.g
; Homing für Z-Achse durchführen
; Endstop für Z befindet sich am oberen Achsenende
; Achtung: Axes are mapped in the order XYZUVWABC, where X=0, Y=1, Z=2, U=3 etc, not by driver number

; Werkzeugänderung nicht nötig - keine von Mapping betroffenen Achsen

G91                         ; Relative Positionierung an
;G1 H2 Z0.015 F1000          ; StealthChop-Tuning: einen Mikroschritt bewegen
;G4 P150                     ; StealthChop-Tuning: mindestens 130ms warten - Achtung, das Datenblatt widerspricht sich da selbst - da steh 2x ">130ms" und einmal "<130ms"
G1 Z250 F6000 H1            ; Z schnell bis zum Endstop fahren
G1 Z-2 F6000 H2             ; 2mm wieder vom Endstop weg
G1 Z10 F160 H1              ; ... und nochmal langsam hin, damit es genauer wird
G90                         ; Absolute Positionierung
G92 Z{move.axes[2].max+2}   ; Z auf gespeicherten Max-Wert aus config-override.g setzen TODO