; T1 vor einem Toolwechsel in Standby versetzen

; Die Position des Druckkopfs wird automatisch in Speicherslot gespeichert
if job.file.fileName != null   ; nur, wenn ein Druck läuft, aber nicht bei manuellem Wechsel
    M400                                    ; aktive Bewegungen abschließen
    G10                                     ; Filament zurückziehen und Status speichern
    M106 S0                                 ; Drucklüfter aus - Lüftereinstellung wird automatisch gespeichert
    G91                                     ; relative Achsenbewegungen
    G1 Z2 F500                              ; Z 2mm absenken
    G90                                     ; absolute Achsenbewegungen
    G1 H1 U{move.axes[3].max} F12000        ; U-Achse zum Endstop fahren

; anschließend wird das Tool auf die Standbytemperatur versetzt
